import { describe, expect, it } from "tstyche";
const valueReadWrite = {
    value: 123,
};
const valueReadOnly = {
    value: 123,
    writable: false,
};
const getReadOnly = {
    get: () => 123,
};
const getSetReadWrite = {
    get: () => 123,
    set: () => {
        // do nothing
    },
};
const setWriteOnly = {
    set: (num) => {
        if (num > 0) {
            throw new Error("message");
        }
    },
};
describe("IfReadOnlyDescriptor", () => {
    it("finds readonly", () => {
        expect().type.toBe(true);
        expect().type.toBe(true);
    });
    it("is never otherwise", () => {
        expect().type.toBeNever();
        expect().type.toBeNever();
        expect().type.toBeNever();
    });
});
describe("IfReadWriteDescriptor", () => {
    it("finds read-write", () => {
        expect().type.toBe(true);
        expect().type.toBe(true);
    });
    it("is never otherwise", () => {
        expect().type.toBeNever();
        expect().type.toBeNever();
        expect().type.toBeNever();
    });
});
describe("IfWriteOnlyDescriptor", () => {
    it("finds read-write", () => {
        expect().type.toBe(true);
    });
    it("is never otherwise", () => {
        expect().type.toBeNever();
        expect().type.toBeNever();
        expect().type.toBeNever();
        expect().type.toBeNever();
    });
});
//# sourceMappingURL=add-property.test-d.js.map